%define major 2
%define libname %mklibname mhash %{major}

Summary:	Thread-safe hash library
Name:		mhash
Version:	0.9.8
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://mhash.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/mhash/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Mhash is a thread-safe hash library, implemented in C, and provides a uniform
interface to a large number of hash algorithms (MD5, SHA-1, HAVAL, RIPEMD128,
RIPEMD160, TIGER, GOST). These algorithms can be used to compute checksums,
message digests, and other signatures. The HMAC support implements the basics
for message authentication,  following RFC 2104.

%package -n	%{libname}
Summary:	Thread-safe hash library
Group:		System/Libraries

%description -n	%{libname}
Mhash is a thread-safe hash library, implemented in C, and provides a uniform
interface to a large number of hash algorithms (MD5, SHA-1, HAVAL, RIPEMD128,
RIPEMD160, TIGER, GOST). These algorithms can be used to compute checksums,
message digests, and other signatures. The HMAC support implements the basics
for message authentication,  following RFC 2104.

%package -n	%{libname}-devel
Summary:	Header files and libraries for developing apps which will use mhash
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libmhash-devel = %{version}
Provides:	mhash-devel = %{version}

%description -n	%{libname}-devel
Mhash is a thread-safe hash library, implemented in C, and provides a uniform
interface to a large number of hash algorithms (MD5, SHA-1, HAVAL, RIPEMD128,
RIPEMD160, TIGER, GOST). These algorithms can be used to compute checksums,
message digests, and other signatures. The HMAC support implements the basics
for message authentication,  following RFC 2104.

The mhash-devel package contains the header files and libraries needed to
develop programs that use the mhash library.

Install the mhash-devel package if you want to develop applications that will
use the mhash library.

%prep

%setup -q

%build

%configure2_5x \
    --enable-static \
    --enable-shared

%make

%check
make check

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

# install _all_ headers
install -m0644 include/*.h %{buildroot}%{_includedir}/
install -m0644 include/mutils/*.h %{buildroot}%{_includedir}/mutils/

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README TODO doc/*.c doc/skid2* 
%{_includedir}/*.h
%dir %{_includedir}/mutils
%{_includedir}/mutils/*.h
%{_libdir}/*.a
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.so
%{_mandir}/man3/*


%changelog
* Tue Feb 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.8-1mdv2007.0
+ Revision: 123011
- 0.9.8
- drop the ppc patch, it's implemented upstream

* Fri Dec 22 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9.7-2mdv2007.1
+ Revision: 101493
- patch0: fix haval on ppc for testsuite

* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-1mdv2007.1
+ Revision: 74194
- Import mhash



* Sun Jun 25 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-1mdk
- 0.9.7

* Thu Mar 30 2006 Gtz Waschk <waschk@mandriva.org> 0.9.6-1mdk
- drop patches
- New release 0.9.6

* Fri Jan 20 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9.4a-3mdk
- patch1: fix MIX32 byteswap macro (for big endian systems)

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.4a-2mdk
- install missing headers
- fix the test suite on x86_64 (P0 by Giuseppe Ghib)
- fix deps

* Tue Jan 10 2006 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.4a-1mdk
- 0.9.4a

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-2mdk
- make it build on 10.0 too

* Thu Jan 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-1mdk
- 0.9.2
- run the test suite

* Sun Apr 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1

* Mon Nov 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.18-3mdk
- new url
- misc spec file fixes

* Thu Jul 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.18-2mdk
- mklibname macro

* Wed Jun 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.18-1mdk
- 0.8.18
- use the %%configure2_5x macro

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.17-3mdk
- rebuild

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.17-2mdk
- build release

* Fri Oct 04 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.17-1mdk
- new version

* Sat Jun  1 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.16-1mdk
- new version
- misc spec file fixes

* Sun May 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.14-2mdk
- rebuilt with gcc3.1

* Thu Apr 25 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.14-1mdk
- new version
- misc spec file fixes

* Sun Dec 23 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8.13-1mdk
- new version
- misc spec file fixes

* Mon Sep 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.10-1mdk
- updated by Thomas Leclerc <leclerc@linux-mandrake.com> :
	- 0.8.10
	- forbid forcing libtoolize
	- complete doc, move it to devel

* Wed Jul 18 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 0.8.9-1mdk
- 0.8.9 (0.8.10 is out, but libtool conflicts)

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.6-1mdk
- updated to 0.8.6
- apply library policy

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-3mdk
- clean spec
- BM

* Wed Jul 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-1mdk
- macrozifications

* Mon Jul 17 2000 Max Heijndijk <cchq@wanadoo.nl> 0.8.2-1
- Updated to 0.8.2
- Fixed %doc (missing files)

* Sat Jun 10 2000 Kyle Wheeler <memoryhole@penguinpowered.com>
- Updated for version 0.8.1

* Wed Feb 9 2000 Clinton Work <clinton@scripty.com>
- Created a new spec file for version 0.6.1
- Created both a shared library and devel packages
